%define upstream_name    Dist-Zilla-PluginBundle-DAGOLDEN
%define upstream_version 0.027

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DAGOLDEN's default Pod::Weaver config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.0
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker) >= 1.102.670
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.100.0
BuildRequires: perl(Dist::Zilla::Plugin::InsertCopyright) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.140.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion) >= 0.1.8
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.120.51
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.101.620
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic)
BuildRequires: perl(Dist::Zilla::Plugin::Test::PodSpelling) >= 2.1.2
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Version)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental::Transformer::List) >= 0.101.620
BuildRequires: perl(Pod::Weaver) >= 3.101.635
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::WikiDoc)
BuildRequires: perl(Pod::Weaver::Section::Support) >= 1.1.0
BuildRequires: perl(Pod::Wordlist::hanekomu) >= 1.113.620
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle for author dagolden.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.27.0-1.mga2
+ Revision: 219917
- update to 0.027

* Thu Jan 05 2012 jquelin <jquelin> 0.23.0-1.mga2
+ Revision: 191273
- update to 0.023

* Thu Dec 15 2011 jquelin <jquelin> 0.22.0-1.mga2
+ Revision: 181900
- update to 0.022

* Sat Dec 10 2011 kharec <kharec> 0.21.0-1.mga2
+ Revision: 180187
- update to 0.021

* Mon Sep 26 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 148056
- update to 0.020
- fix youri check
- update to 0.019
- fix youri check

* Tue Mar 15 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 71824
- imported package perl-Dist-Zilla-PluginBundle-DAGOLDEN


* Tue Mar 15 2011 cpan2dist 0.017-1mga
- initial mageia release, generated with cpan2dist
